Name:           rhui-oid-validator
Version:        3.1.2
Release:        1%{?dist}
Summary:        RHUI-specific authentication plugins

Group:          Development/Languages
License:        GPLv2
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires: python-setuptools
Requires: python-pulp-repoauth >= 2.7.0

%description
Provides certificate-based content protection for RHUI.

%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}

# Python setup
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

mkdir -p %{buildroot}/etc/pulp
cp etc/pulp/rhui_repo_auth.conf %{buildroot}/etc/pulp

# legacy ca extension
mkdir -p %{buildroot}/%{_sysconfdir}/pki/rhui/legacy-ca

%files
%attr(-,apache, apache) %config(noreplace) %{_sysconfdir}/pulp/rhui_repo_auth.conf

%dir %{python_sitelib}/rhui_oid_validator
%{python_sitelib}/rhui_oid_validator/*
%{python_sitelib}/rhui_oid_validator-*.egg-info
%dir %{_sysconfdir}/pki/rhui/legacy-ca

%clean
rm -rf %{buildroot}

%changelog
* Mon Jul 22 2019 Martin Minar <mminar@redhat.com> 3.1.2-1
- Legacy CA is optional - no errors should be logged if it does not match.
  (mminar@redhat.com)
- Match validator version with RHUI release version.

* Tue Apr 02 2019 Martin Minar <mminar@redhat.com> 3.0.1-1
- OID validator legacy ca extension (mkubik@redhat.com)

* Tue Jan 24 2017 B Zhang <bizhang@redhat.com> 3.0.0-1
- bumping version to 3.0.0 (bizhang@redhat.com)

* Tue Jul 28 2015 Chris Duryee <cduryee@redhat.com> 0.0.5-1
- fix typo made during spec file update (cduryee@redhat.com)

* Tue Jul 28 2015 Chris Duryee <cduryee@redhat.com> 0.0.4-1
- new package built with tito

* Wed Jun 10 2015 Chris Duryee <cduryee@redhat.com> 0.0.3-1
- spec file fixups (cduryee@redhat.com)

* Wed Jun 10 2015 Chris Duryee <cduryee@redhat.com> 0.0.2-1
- new package built with tito

